#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	anyjson
Summary:	JSON implementation in a common interface
Name:		python-%{module}
Version:	0.3.3
Release:	6
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/a/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	2ea28d6ec311aeeebaf993cb3008b27c
URL:		https://bitbucket.org/runeh/anyjson
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
%{?with_tests:BuildRequires: python-nose}
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Anyjson loads whichever is the fastest JSON module installed and
provides a uniform API regardless of which JSON implementation is
used.

%package -n python3-%{module}
Summary:	JSON implementation in a common interface
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
Anyjson loads whichever is the fastest JSON module installed and
provides a uniform API regardless of which JSON implementation is
used.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build # %{?with_tests:test}
%endif


%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-*.egg-info
%endif

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGELOG README
%{py3_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py3_sitescriptdir}/%{module}-*.egg-info
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-anyjson.git;a=log;h=auto/th/python-anyjson-0.3.3-6

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1c2a0cb
- rebuild with python 3.8
- release 6 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ed35e1
- python 3.7 rebuild
- release 5 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 215789d
- python 3.6
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 031b46d
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 435613b
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d4c0b03
- automatic change: use py_build/py_install macros

* Mon Nov 16 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> ac9a9fa
- add python3 support

* Thu Aug 02 2012 Łukasz Kieś <kiesiu@pld-linux.org> eeb46b3
- updated to 0.3.3

* Sun Jan 08 2012 zbyniu <zbyniu@pld-linux.org> 243bd07
- rel 1

* Thu May 26 2011 zbyniu <zbyniu@pld-linux.org> 53cca5d
- desc, URL, cleanup

* Wed May 25 2011 cieciwa <cieciwa@pld-linux.org> af8e085
- updated %file

* Wed May 25 2011 cieciwa <cieciwa@pld-linux.org> a8014b1
- initial.

